<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List Form</title>
    <!-- https://codepen.io/ainalem/pen/GRqPwoz by Mikail Ainalem-->
    <!-- https://cssgradient.io/ for gradient color -->
    <!-- https://colorhunt.co/palette/2b2e4ae8454590374953354a for color-->
    <style>
      body {
        align-items: center;
        background: rgb(83,53,74);
        background: linear-gradient(90deg, rgba(83,53,74,1) 0%, rgba(144,55,73,1) 50%, rgba(232,69,69,1) 100%);
        display: flex;
        justify-content: center;
        height: 100vh;
        font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
      }

      form {
        background-color: #2B2E4A;
        border-radius: 20px;
        box-sizing: border-box;
        height: 500px;
        padding: 20px;
        width: 320px;
      }

      .title {
        color: #F4EEFF;
        font-size: 36px;
        font-weight: 800;
        margin-top: 30px;
      }

      .subtitle {
        color: #F4EEFF;
        font-size: 16px;
        font-weight: 600;
        margin-top: 10px;
      }

      .input-container {
        height: 50px;
        position: relative;
        width: 100%;
      }

      .ic1 {
        margin-top: 40px;
      }

      .ic2 {
        margin-top: 30px;
      }

      .input {
        background-color: #F4EEFF;
        border-radius: 12px;
        border: 0;
        box-sizing: border-box;
        color: #65657b;
        font-size: 18px;
        height: 100%;
        outline: 0;
        padding: 4px 20px 0;
        width: 100%;
        font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
      }

      .cut {
        background-color: #2B2E4A;
        border-radius: 10px;
        height: 20px;
        left: 20px;
        position: absolute;
        top: -20px;
        transform: translateY(0);
        transition: transform 200ms;
        width: 120px;
      }

      .cut-short {
        width: 50px;
      }

      .input:focus ~ .cut,
      .input:not(:placeholder-shown) ~ .cut {
        transform: translateY(8px);
      }

      .placeholder {
        color: #65657b;
        left: 20px;
        line-height: 14px;
        pointer-events: none;
        position: absolute;
        transform-origin: 0 50%;
        transition: transform 200ms, color 200ms;
        top: 20px;
      }

      .input:focus ~ .placeholder,
      .input:not(:placeholder-shown) ~ .placeholder {
        transform: translateY(-30px) translateX(10px) scale(0.75);
      }

      .input:not(:placeholder-shown) ~ .placeholder {
        color: #808097;
      }

      .input:focus ~ .placeholder {
        color: #dc2f55;
      }

      .submit {
        background: rgb(83,53,74);
        background: linear-gradient(90deg, rgba(83,53,74,1) 0%, rgba(144,55,73,1) 50%, rgba(232,69,69,1) 100%);
        border-radius: 12px;
        border: 0;
        box-sizing: border-box;
        color: #F4EEFF;
        cursor: pointer;
        font-size: 18px;
        height: 50px;
        margin-top: 38px;
        outline: 0;
        text-align: center;
        width: 100%;
      }

      input[type="date"] {
        color: #65657b;
        font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
      }

    </style>
  </head>
  <body>
    <form action="" method="POST">
        {% csrf_token %}
        <div class="title">Friend Form ✨</div>
        <div class="subtitle">Register your new friend!</div>
        <div class="input-container ic1">
          <input class="input" type="text" name="name" maxlength="30" id="id_name" placeholder=" ">
          <div class="cut"></div>
          <label for="name" class="placeholder">Your friend's name</label>
        </div>
        <div class="input-container ic2">
          <input class="input" type="text" name="npm" maxlength="30" id="id_npm" placeholder=" ">
          <div class="cut"></div>
          <label for="npm" class="placeholder">Your friend's NPM</label>
        </div>
        <div class="input-container ic2">
          <input class="input" type="date" name="birth_date" id="id_birth_date">
        </div>
        <input class="submit" type="submit" value="Submit">
    </form>
  </body>
</html>
